Bug Hunting Session
Bug 112244 - EDITING: The application stalls after consecutive actions in Spelling & Grammar
Summary: EDITING: The application stalls after consecutive actions in Spelling & Grammar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2017-09-05 17:36 UTC by Emil Tanev
Modified: 2019-09-12 02:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (138.50 KB, application/msword)
2017-09-05 17:36 UTC, Emil Tanev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-09-05 17:36:04 UTC
Created attachment 136039 [details]
Test file

Open the attached document in Writer
Click Spelling & Grammar
Choose Correct All - press it 4 times at the usual speed (wait for the correction to take place before pressing again) 

https://www.screencast.com/t/AL1uS95WpLDf

Issue: The application gets unresponsive.
Comment 1 Buovjaga 2017-09-10 17:17:16 UTC
I did it (more than 4 times), but no problem.

Win 10
Version: 5.4.1.2 (x64)
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.1.2.0+
Build ID: 5.4.1-1
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 2 Dieter Praas 2017-09-10 18:41:45 UTC
I tried it also several times. It always becomes unresponsive, when I try to correct or ignore all "aliqua.Lorem"
Comment 3 Buovjaga 2017-09-10 19:31:11 UTC
NEW per comment 2
Comment 4 QA Administrators 2018-09-11 02:37:23 UTC Comment hidden (obsolete)
Comment 5 Dieter Praas 2018-09-11 07:42:28 UTC
Still reproducible in

Version: 6.0.6.2 (x64)
Build-ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 6 QA Administrators 2019-09-12 02:51:29 UTC
Dear Emil Tanev,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug